Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Update crm task

PATCH /api/crm/tasks/{taskId}

Edit, complete or reopen a task. Reuse idempotencyKey for uncertain retries within 24 hours.

Parameters

workspaceId
string
No description.
taskIdrequired
string
No description.
title
string
No description.
dueDate
string | null
No description.
status
string
No description.
pending | done
idempotencyKeyrequired
string
No description.

Example

REST requestbash
curl -X PATCH "https://app.pipeline.help/api/crm/tasks/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"idempotencyKey":"example"}'

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"task": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"prospectId": {
"type": "string"
},
"title": {
"type": "string"
},
"dueDate": {
"type": [
"string",
"null"
]
},
"status": {
"type": "string",
"enum": [
"pending",
"done"
]
},
"createdBy": {
"type": "string"
},
"createdAt": {
"type": [
"string",
"null"
]
},
"updatedAt": {
"type": [
"string",
"null"
]
},
"prospectName": {
"type": [
"string",
"null"
]
},
"companyName": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"workspaceId",
"prospectId",
"title",
"dueDate",
"status",
"createdBy",
"createdAt",
"updatedAt"
]
},
"activityId": {
"type": "string"
}
},
"required": [
"task",
"activityId"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline